java.io

## Class IOError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.io.IOError

- All Implemented Interfaces:
    Serializable

      public class IOError
      extends Error

  Thrown when a serious I/O error has occurred.
  Since:
    1.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOError(Throwable cause)` Constructs a new instance of IOError with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOError

          public IOError(Throwable cause)

      Constructs a new instance of IOError with the specified cause. The IOError is created with the detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of cause).
      Parameters:
        `cause` - The cause of this error, or `null` if the cause is not known

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.